Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Schindelin <johannes.schindelin@gmx.de>2020-11-19 02:44:38 +0300
committerJunio C Hamano <gitster@pobox.com>2020-11-20 02:44:18 +0300
commit5902f5f4608c1857fc04dcae2a0ce6beea31c8f8 (patch)
tree9a56000f293ef84871a419a00bb7a3abdcda6706 /t/t6406-merge-attr.sh
parent1f53df54eba378eee544b47f7c9e7f5fc32873e1 (diff)
t6[4-9]*: adjust the references to the default branch name "main"
This trick was performed via $ (cd t && sed -i -e 's/master/main/g' -e 's/MASTER/MAIN/g' \ -e 's/Master/Main/g' -- t6[4-9]*.sh) This allows us to define `GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=main` for those tests. Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t6406-merge-attr.sh')
-rwxr-xr-xt/t6406-merge-attr.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/t/t6406-merge-attr.sh b/t/t6406-merge-attr.sh
index 7fe4034d58..d5a4ac2d81 100755
--- a/t/t6406-merge-attr.sh
+++ b/t/t6406-merge-attr.sh
@@ -5,7 +5,7 @@
test_description='per path merge controlled by merge attribute'
-GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=master
+GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=main
export GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME
. ./test-lib.sh
@@ -22,10 +22,10 @@ test_expect_success setup '
git branch side &&
for f in text binary union
do
- echo Master >>$f && git add $f || return 1
+ echo Main >>$f && git add $f || return 1
done &&
test_tick &&
- git commit -m Master &&
+ git commit -m Main &&
git checkout side &&
for f in text binary union
@@ -67,7 +67,7 @@ test_expect_success merge '
echo "union merge=union"
} >.gitattributes &&
- if git merge master
+ if git merge main
then
echo Gaah, should have conflicted
false
@@ -90,7 +90,7 @@ test_expect_success 'check merge result in working tree' '
grep "<<<<<<<" text &&
cmp binary-orig binary &&
! grep "<<<<<<<" union &&
- grep Master union &&
+ grep Main union &&
grep Side union
'
@@ -118,13 +118,13 @@ test_expect_success 'custom merge backend' '
git config --replace-all \
merge.custom.name "custom merge driver for testing" &&
- git merge master &&
+ git merge main &&
cmp binary union &&
sed -e 1,3d text >check-1 &&
- o=$(git unpack-file master^:text) &&
+ o=$(git unpack-file main^:text) &&
a=$(git unpack-file side^:text) &&
- b=$(git unpack-file master:text) &&
+ b=$(git unpack-file main:text) &&
sh -c "./custom-merge $o $a $b 0 text" &&
sed -e 1,3d $a >check-2 &&
cmp check-1 check-2 &&
@@ -139,7 +139,7 @@ test_expect_success 'custom merge backend' '
git config --replace-all \
merge.custom.name "custom merge driver for testing" &&
- if git merge master
+ if git merge main
then
echo "Eh? should have conflicted"
false
@@ -149,9 +149,9 @@ test_expect_success 'custom merge backend' '
cmp binary union &&
sed -e 1,3d text >check-1 &&
- o=$(git unpack-file master^:text) &&
+ o=$(git unpack-file main^:text) &&
a=$(git unpack-file anchor:text) &&
- b=$(git unpack-file master:text) &&
+ b=$(git unpack-file main:text) &&
sh -c "./custom-merge $o $a $b 0 text" &&
sed -e 1,3d $a >check-2 &&
cmp check-1 check-2 &&
@@ -179,7 +179,7 @@ test_expect_success 'up-to-date merge without common ancestor' '
test_tick &&
(
cd repo1 &&
- git fetch ../repo2 master &&
+ git fetch ../repo2 main &&
git merge --allow-unrelated-histories FETCH_HEAD
)
'
@@ -204,7 +204,7 @@ test_expect_success 'custom merge does not lock index' '
# By packaging the command in test_when_finished, we get both
# the correctness check and the clean-up.
test_when_finished "kill \$(cat sleep.pid)" &&
- git merge master
+ git merge main
'
test_done